XFCE4-TERMINAL(1)

NAME
xfce4-terminal - Ein Terminal-Emulator für X

ÜBERSICHT

xfce4-terminal [OPTION...]

BESCHREIBUNG

xfce4-terminal ist ein X-Terminal-Emulator, oft auch als Terminal oder Shell bezeichnet. Es stellt einen Ersatz für die altmodischen Textbildschirmen für grafische Oberfläschen dar und kann daher zusammen mit anderen Anwendungen gleichzeitig auf dem Bildschirm dargestellt werden. Windows-Anwender sind wahrscheinlich schon mit der MS-DOS Eingabeaufforderung vertraut, welche eine vergleichbare Funktion unter Windows zur Verfügung stellt, obwohl man anmerken muss, dass die UNIX-Befehlszeile mächtiger und benutzerfreundlicher ist als die DOS-Eingabeaufforderung.

xfce4-terminal emulier die Anwendung xterm des X Konsortiums. Die Anwendung xterm wiederum emuliert das DEC VT102-Terminal und unterstützt außerdem die DEC VT220 Escape-Sequenzen. Eine Escape-Sequenz ist eine Abfolge von Zeichen, die mit dem Esc-Zeichen beginnt. xfce4-terminal kann mit allen Escape-Sequenzen der VT102- und VT220-Terminals wie dem Positionieren oder dem Löschen des Bildschirmes umgehen.

OPTIONEN

  Zusammenfassung der Optionen

Dies ist eine Übersicht über alle Einstellmöglichkeiten in Gruppen zusammengefasst. Die Erklärungen dazu stehen in den folgenden Abschnitten.

Allgemeine Optionen
    -h, --help; -V, --version; --disable-server; --color-table; --default-display=Display; --default-working-directory=Verzeichnis

Startschalter für Fenster- oder Reiter
    --tab; --window

Reiteroptionen
    -x, --execute; -e, --command=Befehl; --working-directory=Verzeichnis; -T, --title=Titel; -H, --hold

Fensteroptionen
    --display=Display; --drop-down; --geometry=Geometrie; --role=Rolle; --startup-id=Zeichenkette; -I, --icon=Symbol; --fullscreen; --maximize; --show-menubar, --hide-menubar; --show-borders, --hide-borders; --show-toolbar, --hide-toolbar

  Allgemeine Optionen

-h, --help
    Zeigt die verschiedenen Befehlszeilenoptionen von xfce4-terminal an und beendet das Programm

-V, --version
    Zeigt die Versionsinformationen an und beendet das Programm

--disable-server
    Terminal verbindet sich nicht mit dem D-BUS-Nachrichtenbus

--color-table
    Echo the color codes

--default-display=Display
    X-Display, welches standardmäßig genutzt wird

--default-working-directory=Verzeichnis
    Setzt Verzeichnis als Standardarbeitsverzeichnis für das Terminal

  Startschalter für Fenster- oder Reiter

--tab
    Öffnet einen neuen Reiter in dem zuletzt genannten Fenster; der Schalter kann mehrfach verwendet werden.

    If you use this as the first option, without --window separators, the last window will be re-used.

--window
    Öffnet ein neues Fenster mit einem Reiter; der Schalter kann mehrfach verwendet werden.

  Reiteroptionen

-x, --execute
    Führt die übergebene Zeichenfolge (einschließlich Leerzeichen) innerhalb des Terminals als Befehl aus. Parameter sind daher nicht möglich!

-e, --command=Befehl
    Führt Befehl innerhalb des Terminals aus

--working-directory=Verzeichnis
    Setzt Verzeichnis als Arbeitsverzeichnis für das Terminal

-T, --title=Titel
    Setzt Titel als anfänglichen Fenstertitel für das Terminal

-H, --hold
    Bewirkt, dass das Terminal nach dem Beenden des Kindbefehls geöffnet bleibt

  Fensteroptionen

--display=Display
    X-Display , welches für das zuletzt genannte Fester verwendet wird.

--drop-down
    Will start the window in drop-down mode (also called a Quake-style terminal). This will only apply to the first window started with this option. It is advised to bind this to a shortcut in the keyboard preferences.

--geometry=Geometrie
    Setzt die Geometrie des zuletzt genannten Fensters auf Geometrie. Unter X(7) befinden sich weitere Informationen, wie die Fenstergeometrie festgelegt wird.

--role=Rolle
    Sets the window role of the last-specified window to role. Applies to only one window and can be specified once for each window you create from the command line. The role is a unique identifier for the window to be used when restoring a session.

--startup-id=Zeichenkette
    Gibt die Start-Benachrichtigungskennzahl für das zuletzt genannte Fenster an. Diese wird für die interne Weitergabe über den D-BUS-Dienst benutzt.

-I, --icon=Symbol
    Legt das Terminal-Symbol fest. Mögliche Werte sind der Symbolname oder der Dateiname.

--fullscreen
    Startet das zuletzt genannte Fenster im Vollbildmodus. Der Schalter wirkt nur auf dieses einzelne Fenster, kann aber für jedes weitere Fenster erneut verwendet werden.

--maximize
    Startet das zuletzt genannte Fenster maximiert. Der Schalter wirkt nur auf dieses einzelne Fenster, kann aber für jedes weitere Fenster erneut verwendet werden.

--show-menubar
    Aktiviert die Menüleiste für das zuletzt genannte Fenster. Der Schalter kann für jedes von der Befehlszeile gestartete Fenster einzeln angegeben werden.

--hide-menubar
    Deaktiviert die Menüleiste für das zuletzt genannte Fenster. Der Schalter kann für jedes von der Befehlszeile gestartete Fenster einzeln angegeben werden.

--show-borders
    Aktiviert die Fensterdekoration für das zuletzt genannte Fenster. Der Schalter hat nur auf ein Fenster Auswirkungen, kann aber für jedes von der Befehlszeile gestartete Fenster einzeln angegeben werden.

--hide-borders
    Deaktiviert die Fensterdekoration für das zuletzt genannte Fenster. Der Schalter hat nur auf ein Fenster Auswirkungen, kann aber für jedes von der Befehlszeile gestartete Fenster einzeln angegeben werden.

--show-toolbar
    Turn on the toolbar for the last-specified window. Applies to only one window. Can be specified once for each window you create from the command line.

--hide-toolbar
    Turn off the toolbar for the last-specified window. Applies to only one window. Can be specified once for each window you create from the command line.

BEISPIELE

xfce4-terminal --geometry 80x40 --command mutt --tab --command mc
    Öffnet ein Terminal mit einer Geometrie von 80 Spalten und 40 Zeilen. Das Terminal startet mit 2 Reitern, in dem ersten Reiter läuft mutt und in dem zweiten Reiter läuft mc.

UMGEBUNGSVARIABLEN

xfce4-terminal uses the Basedir Specification as defined on Freedesktop.org[1] to locate its data and configuration files. This means that file locations will be specified as a path relative to the directories described in the specification.

${XDG_CONFIG_HOME}
    Das erste Basisverzeichnis, in dem nach den Einstellungsdateien gesucht wird. Standardmäßig zeigt die Variable auf ~/.config/.

${XDG_CONFIG_DIRS}
    Eine mit Doppelpunkten unterteilte Auflistung von Verzeichnissen mit Konfigurationsdateien. Standardmäßig werden diese in ${sysconfdir}/xdg/ gesucht. Der Wert für ${sysconfdir} hängt davon ab, wie das Programm erstellt wurde, für Binärpakete ist es oft /etc/.

${XDG_DATA_HOME}
    Das Basisverzeichnis für alle benutzerspezifischen Dateien. Standardmäßig ist die Variable mit ~/.local/share/ belegt.

${XDG_DATA_DIRS}
    Nach Priorität sortierte Basisverzeichnisse, in denen zusätzlich zu dem Basisverzeichnis ${XDG_DATA_HOME} nach Dateien gesucht werden soll. Die eigentlichen Dateien liegen immer relativ zu diesen Verzeichnissen. Die Verzeichnisse müssen durch Doppelpunkte getrennt angegeben werden.

DATEIEN

${XDG_CONFIG_DIRS}/xfce4/terminal/terminalrc
    In dieser Datei werden die Einstellungen gespeichert, welche das Aussehen und Verhalten von xfce4-terminal bestimmen.

SIEHE AUCH

bash(1), X(7)

AUTHORS

Nick Schermer <nick@xfce.org>
    Entwickler

Benedikt Meurer <benny@xfce.org>
Software-Entwickler, os-cillation, Systementwicklung,
    Entwickler

NOTES

1.  Freedesktop.org
    http://freedesktop.org/